/*
 * TemplateJDialog.java
 *
 * Created on 1 octobre 2008, 08:26
 */

package org.cocktail.kiwi.client.nibctrl;

import java.awt.BorderLayout;
import java.awt.Color;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.application.client.swing.TableSorter;
import org.cocktail.application.client.swing.ZEOTable;
import org.cocktail.application.client.swing.ZEOTableModel;
import org.cocktail.application.client.swing.ZEOTableModelColumn;
import org.cocktail.kiwi.client.metier.EOTypeTransport;
import org.cocktail.kiwi.client.metier.EOVehicule;
import org.cocktail.kiwi.common.utilities.CocktailIcones;

import com.webobjects.eointerface.EODisplayGroup;

/**
 *
 * @author  cpinsard
 */
public class TransportSelectView extends javax.swing.JDialog {

    protected EODisplayGroup eodTransports, eodVehicules, eodIndemnites;
	protected ZEOTable myEOTableTransports, myEOTableVehicules, myEOTableIndemnites;
	protected ZEOTableModel myTableModelTransports, myTableModelVehicules, myTableModelIndemnites;
	protected TableSorter myTableSorterTransports, myTableSorterVehicules, myTableSorterIndemnites;

    
    /** Creates new form TemplateJDialog */
    public TransportSelectView(java.awt.Frame parent, boolean modal, EODisplayGroup dgTransports, EODisplayGroup dgVehicules , EODisplayGroup dgIndemnites) {
        super(parent, modal);

        eodTransports = dgTransports;
        eodVehicules = dgVehicules;
        eodIndemnites = dgIndemnites;
        
        initComponents();
        initGui();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jLabel2 = new javax.swing.JLabel();
        viewTableTransports = new javax.swing.JPanel();
        panelVehicules = new javax.swing.JPanel();
        viewTableVehicules = new javax.swing.JPanel();
        viewTableIndemnites = new javax.swing.JPanel();
        btnAddVehicule = new javax.swing.JButton();
        btnUpdateVehicule = new javax.swing.JButton();
        btnDelVehicule = new javax.swing.JButton();
        btnAnnuler = new javax.swing.JButton();
        btnValider = new javax.swing.JButton();
        tfMontant = new javax.swing.JTextField();
        jLabel6 = new javax.swing.JLabel();
        jLabel8 = new javax.swing.JLabel();
        tfArrivee = new javax.swing.JTextField();
        tfDepart = new javax.swing.JTextField();
        jLabel9 = new javax.swing.JLabel();
        btnGetTrajet = new javax.swing.JButton();
        jLabel10 = new javax.swing.JLabel();
        tfKilometres = new javax.swing.JTextField();
        classesSncf = new javax.swing.JComboBox();
        jLabel7 = new javax.swing.JLabel();
        jLabel11 = new javax.swing.JLabel();
        tfRemarques = new javax.swing.JTextField();

        jLabel2.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel2.setText("Classe SNCF : ");

        setDefaultCloseOperation(javax.swing.WindowConstants.DO_NOTHING_ON_CLOSE);
        setTitle("Sélection d'un moyen de transport");
        setResizable(false);

        viewTableTransports.setBorder(new javax.swing.border.SoftBevelBorder(javax.swing.border.BevelBorder.RAISED));
        viewTableTransports.setLayout(new java.awt.BorderLayout());

        viewTableVehicules.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0)));
        viewTableVehicules.setLayout(new java.awt.BorderLayout());

        viewTableIndemnites.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0)));
        viewTableIndemnites.setLayout(new java.awt.BorderLayout());

        btnAddVehicule.setToolTipText("Ajouter un véhicule");

        btnUpdateVehicule.setToolTipText("Modifier les infos du véhicule sélectionné");

        btnDelVehicule.setToolTipText("Supprimer le véhicule sélectionné");

        org.jdesktop.layout.GroupLayout panelVehiculesLayout = new org.jdesktop.layout.GroupLayout(panelVehicules);
        panelVehicules.setLayout(panelVehiculesLayout);
        panelVehiculesLayout.setHorizontalGroup(
            panelVehiculesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, panelVehiculesLayout.createSequentialGroup()
                .addContainerGap()
                .add(panelVehiculesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, viewTableIndemnites, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 562, Short.MAX_VALUE)
                    .add(panelVehiculesLayout.createSequentialGroup()
                        .add(viewTableVehicules, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 536, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(panelVehiculesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(btnAddVehicule, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(btnUpdateVehicule, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(btnDelVehicule, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                .addContainerGap())
        );
        panelVehiculesLayout.setVerticalGroup(
            panelVehiculesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(panelVehiculesLayout.createSequentialGroup()
                .addContainerGap()
                .add(panelVehiculesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(panelVehiculesLayout.createSequentialGroup()
                        .add(btnAddVehicule, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnUpdateVehicule, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnDelVehicule, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(viewTableVehicules, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 261, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(viewTableIndemnites, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 75, Short.MAX_VALUE)
                .addContainerGap())
        );

        btnAnnuler.setText("Annuler");
        btnAnnuler.setToolTipText("Annuler");

        btnValider.setText("Valider");
        btnValider.setToolTipText("Valider le transport");

        tfMontant.setHorizontalAlignment(javax.swing.JTextField.RIGHT);

        jLabel6.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel6.setText("Montant Frais :");

        jLabel8.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel8.setText("Départ :");

        tfArrivee.setHorizontalAlignment(javax.swing.JTextField.LEFT);

        tfDepart.setHorizontalAlignment(javax.swing.JTextField.RIGHT);

        jLabel9.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel9.setText("Arrivée :");

        jLabel10.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel10.setText("Kms :");

        tfKilometres.setHorizontalAlignment(javax.swing.JTextField.RIGHT);

        classesSncf.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));
        classesSncf.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                classesSncfActionPerformed(evt);
            }
        });

        jLabel7.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel7.setText("Classe SNCF :");

        jLabel11.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel11.setText("Remarques :");

        tfRemarques.setHorizontalAlignment(javax.swing.JTextField.RIGHT);

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(viewTableTransports, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 188, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(jLabel11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 75, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel7, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 144, Short.MAX_VALUE)
                            .add(jLabel6, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 144, Short.MAX_VALUE)
                            .add(jLabel10, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 144, Short.MAX_VALUE)
                            .add(jLabel8))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(tfMontant, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 64, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(tfKilometres, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 64, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(classesSncf, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 176, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                                .add(org.jdesktop.layout.GroupLayout.LEADING, tfRemarques)
                                .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                                    .add(tfDepart, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 138, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                    .add(jLabel9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 69, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                    .add(tfArrivee, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 152, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(6, 6, 6)
                                    .add(btnGetTrajet, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                        .add(51, 51, 51))
                    .add(panelVehicules, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .add(581, 581, 581)
                .add(btnAnnuler, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 96, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(btnValider, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 97, Short.MAX_VALUE)
                .add(20, 20, 20))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .add(16, 16, 16)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(tfDepart, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel9)
                            .add(jLabel8))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(tfKilometres, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel10))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(tfMontant, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel6))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(classesSncf, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel7)))
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(btnGetTrajet, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(tfArrivee, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(tfRemarques, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel11))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(panelVehicules, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(btnValider, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(btnAnnuler, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addContainerGap())
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(viewTableTransports, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 498, Short.MAX_VALUE)
                .add(51, 51, 51))
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-816)/2, (screenSize.height-598)/2, 816, 598);
    }// </editor-fold>//GEN-END:initComponents

    private void classesSncfActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_classesSncfActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_classesSncfActionPerformed

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
            	TrajetsSelectView dialog = new TrajetsSelectView(new javax.swing.JFrame(), true, null);
                dialog.addWindowListener(new java.awt.event.WindowAdapter() {
                    public void windowClosing(java.awt.event.WindowEvent e) {
                        System.exit(0);
                    }
                });
                dialog.setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnAddVehicule;
    private javax.swing.JButton btnAnnuler;
    private javax.swing.JButton btnDelVehicule;
    private javax.swing.JButton btnGetTrajet;
    private javax.swing.JButton btnUpdateVehicule;
    private javax.swing.JButton btnValider;
    private javax.swing.JComboBox classesSncf;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JPanel panelVehicules;
    private javax.swing.JTextField tfArrivee;
    private javax.swing.JTextField tfDepart;
    private javax.swing.JTextField tfKilometres;
    private javax.swing.JTextField tfMontant;
    private javax.swing.JTextField tfRemarques;
    private javax.swing.JPanel viewTableIndemnites;
    private javax.swing.JPanel viewTableTransports;
    private javax.swing.JPanel viewTableVehicules;
    // End of variables declaration//GEN-END:variables
    
    
    
    
    
    
    private void initGui() {
            	
    	btnValider.setIcon(CocktailIcones.ICON_VALID);
        btnAnnuler.setIcon(CocktailIcones.ICON_CANCEL);

        btnAddVehicule.setIcon(CocktailIcones.ICON_ADD);
        btnUpdateVehicule.setIcon(CocktailIcones.ICON_UPDATE);
        btnDelVehicule.setIcon(CocktailIcones.ICON_DELETE);

    	btnGetTrajet.setIcon(CocktailIcones.ICON_SELECT_16);

       	Vector myCols = new Vector();

		ZEOTableModelColumn col = new ZEOTableModelColumn(eodTransports, EOTypeTransport.TTR_LIBELLE_KEY, "Libelle", 180);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		myTableModelTransports = new ZEOTableModel(eodTransports, myCols);
		myTableSorterTransports = new TableSorter(myTableModelTransports);

		myEOTableTransports = new ZEOTable(myTableSorterTransports);
		//myEOTable.addListener(myListenerContrat);
		myTableSorterTransports.setTableHeader(myEOTableTransports.getTableHeader());		

		myEOTableTransports.setBackground(new Color(230, 230, 230));
		myEOTableTransports.setSelectionBackground(new Color(127,155,165));
		myEOTableTransports.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		
		viewTableTransports.setLayout(new BorderLayout());
		viewTableTransports.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableTransports.removeAll();
		viewTableTransports.add(new JScrollPane(myEOTableTransports), BorderLayout.CENTER);
		
				
       	myCols = new Vector();

		col = new ZEOTableModelColumn(eodVehicules, EOVehicule.VEH_IMMATRICULATION_KEY, "Immatriculation", 90);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodVehicules,  EOVehicule.VEH_MARQUE_KEY, "Marque", 110);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodVehicules,  EOVehicule.VEH_PUISSANCE_KEY, "Puissance", 65);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodVehicules,  EOVehicule.VEH_COMPAGNIE_KEY, "Compagnie", 75);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodVehicules,  EOVehicule.VEH_POLICE_KEY, "Police", 90);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		myTableModelVehicules = new ZEOTableModel(eodVehicules, myCols);
		myTableSorterVehicules = new TableSorter(myTableModelVehicules);

		myEOTableVehicules = new ZEOTable(myTableSorterVehicules);
		//myEOTable.addListener(myListenerContrat);
		myTableSorterVehicules.setTableHeader(myEOTableVehicules.getTableHeader());		

		myEOTableVehicules.setBackground(new Color(230, 230, 230));
		myEOTableVehicules.setSelectionBackground(new Color(127,155,165));
		myEOTableVehicules.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		
		viewTableVehicules.setLayout(new BorderLayout());
		viewTableVehicules.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableVehicules.removeAll();
		viewTableVehicules.add(new JScrollPane(myEOTableVehicules), BorderLayout.CENTER);


		
       	myCols = new Vector();

		col = new ZEOTableModelColumn(eodIndemnites, "ikmDate", "Date Début", 90);
		col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay((DateFormat)new SimpleDateFormat("dd/MM/yyyy"));
		myCols.add(col);
		col = new ZEOTableModelColumn(eodIndemnites, "ikmDateFin", "Date Fin", 90);
		col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay((DateFormat)new SimpleDateFormat("dd/MM/yyyy"));
		myCols.add(col);
		col = new ZEOTableModelColumn(eodIndemnites, "ikmPfDebut", "P", 50);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodIndemnites, "ikmPfFin", "P", 50);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodIndemnites, "ikmTarif1", "T1", 50);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodIndemnites, "ikmTarif2", "T2", 50);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodIndemnites, "ikmTarif3", "T3", 50);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);

		myTableModelIndemnites = new ZEOTableModel(eodIndemnites, myCols);
		myTableSorterIndemnites = new TableSorter(myTableModelIndemnites);

		myEOTableIndemnites = new ZEOTable(myTableSorterIndemnites);
		//myEOTable.addListener(myListenerContrat);
		myTableSorterIndemnites.setTableHeader(myEOTableIndemnites.getTableHeader());		

		myEOTableIndemnites.setBackground(new Color(230, 230, 230));
		myEOTableIndemnites.setSelectionBackground(new Color(127,155,165));
		myEOTableIndemnites.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		
		viewTableIndemnites.setLayout(new BorderLayout());
		viewTableIndemnites.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableIndemnites.removeAll();
		viewTableIndemnites.add(new JScrollPane(myEOTableIndemnites), BorderLayout.CENTER);

		
		
    }

	public ZEOTable getMyEOTableTransports() {
		return myEOTableTransports;
	}

	public void setMyEOTableTransports(ZEOTable myEOTableTransports) {
		this.myEOTableTransports = myEOTableTransports;
	}

	public ZEOTable getMyEOTableVehicules() {
		return myEOTableVehicules;
	}

	public void setMyEOTableVehicules(ZEOTable myEOTableVehicules) {
		this.myEOTableVehicules = myEOTableVehicules;
	}

	public ZEOTable getMyEOTableIndemnites() {
		return myEOTableIndemnites;
	}

	public ZEOTableModel getMyTableModelIndemnites() {
		return myTableModelIndemnites;
	}

	public void setMyTableModelIndemnites(ZEOTableModel myTableModelIndemnites) {
		this.myTableModelIndemnites = myTableModelIndemnites;
	}

	public javax.swing.JComboBox getClassesSncf() {
		return classesSncf;
	}

	public void setClassesSncf(javax.swing.JComboBox classesSncf) {
		this.classesSncf = classesSncf;
	}

	public javax.swing.JPanel getViewTableIndemnites() {
		return viewTableIndemnites;
	}

	public void setViewTableIndemnites(javax.swing.JPanel viewTableIndemnites) {
		this.viewTableIndemnites = viewTableIndemnites;
	}

	public void setMyEOTableIndemnites(ZEOTable myEOTableIndemnites) {
		this.myEOTableIndemnites = myEOTableIndemnites;
	}

	public javax.swing.JButton getBtnAddVehicule() {
		return btnAddVehicule;
	}

	public void setBtnAddVehicule(javax.swing.JButton btnAddVehicule) {
		this.btnAddVehicule = btnAddVehicule;
	}

	public javax.swing.JButton getBtnAnnuler() {
		return btnAnnuler;
	}

	public void setBtnAnnuler(javax.swing.JButton btnAnnuler) {
		this.btnAnnuler = btnAnnuler;
	}

	public javax.swing.JButton getBtnDelVehicule() {
		return btnDelVehicule;
	}

	public void setBtnDelVehicule(javax.swing.JButton btnDelVehicule) {
		this.btnDelVehicule = btnDelVehicule;
	}

	public javax.swing.JButton getBtnGetTrajet() {
		return btnGetTrajet;
	}

	public void setBtnGetTrajet(javax.swing.JButton btnGetTrajet) {
		this.btnGetTrajet = btnGetTrajet;
	}

	public javax.swing.JButton getBtnUpdateVehicule() {
		return btnUpdateVehicule;
	}

	public void setBtnUpdateVehicule(javax.swing.JButton btnUpdateVehicule) {
		this.btnUpdateVehicule = btnUpdateVehicule;
	}

	public javax.swing.JButton getBtnValider() {
		return btnValider;
	}

	public void setBtnValider(javax.swing.JButton btnValider) {
		this.btnValider = btnValider;
	}
	public javax.swing.JPanel getPanelVehicules() {
		return panelVehicules;
	}

	public void setPanelVehicules(javax.swing.JPanel panelVehicules) {
		this.panelVehicules = panelVehicules;
	}

	public javax.swing.JTextField getTfArrivee() {
		return tfArrivee;
	}

	public void setTfArrivee(javax.swing.JTextField tfArrivee) {
		this.tfArrivee = tfArrivee;
	}

	public javax.swing.JTextField getTfDepart() {
		return tfDepart;
	}

	public void setTfDepart(javax.swing.JTextField tfDepart) {
		this.tfDepart = tfDepart;
	}

	public javax.swing.JTextField getTfKilometres() {
		return tfKilometres;
	}

	public void setTfKilometres(javax.swing.JTextField tfKilometres) {
		this.tfKilometres = tfKilometres;
	}

	public javax.swing.JTextField getTfMontant() {
		return tfMontant;
	}

	public void setTfMontant(javax.swing.JTextField tfMontant) {
		this.tfMontant = tfMontant;
	}

	public javax.swing.JTextField getTfRemarques() {
		return tfRemarques;
	}

	public void setTfRemarques(javax.swing.JTextField tfRemarques) {
		this.tfRemarques = tfRemarques;
	}


}
